import { type ReadableBoxedValues } from "svelte-toolbelt";
import type { RefAttachment, WithRefOpts } from "../../internal/types.js";
import type { Orientation } from "../../shared/index.js";
interface SeparatorRootStateOpts extends WithRefOpts, ReadableBoxedValues<{
    orientation: Orientation;
    decorative: boolean;
}> {
}
export declare class SeparatorRootState {
    static create(opts: SeparatorRootStateOpts): SeparatorRootState;
    readonly opts: SeparatorRootStateOpts;
    readonly attachment: RefAttachment;
    constructor(opts: SeparatorRootStateOpts);
    readonly props: {
        readonly id: string;
        readonly role: "none" | "separator";
        readonly "aria-orientation": "horizontal" | "vertical";
        readonly "aria-hidden": "true" | undefined;
        readonly "data-orientation": "horizontal" | "vertical";
    };
}
export {};
