export declare function getDataOpenClosed(condition: boolean): "open" | "closed";
export declare function getDataChecked(condition: boolean): "checked" | "unchecked";
export declare function getAriaDisabled(condition: boolean): "true" | "false";
export declare function getAriaReadonly(condition: boolean): "true" | "false";
export declare function getAriaExpanded(condition: boolean): "true" | "false";
export declare function getDataDisabled(condition: boolean): "" | undefined;
export declare function getAriaRequired(condition: boolean): "true" | "false";
export declare function getAriaSelected(condition: boolean): "true" | "false";
export declare function getAriaChecked(checked: boolean, indeterminate: boolean): "true" | "false" | "mixed";
export declare function getAriaOrientation(orientation: "horizontal" | "vertical"): "horizontal" | "vertical";
export declare function getAriaHidden(condition: boolean): "true" | undefined;
export declare function getAriaInvalid(condition: boolean): "true" | undefined;
export declare function getDataOrientation(orientation: "horizontal" | "vertical"): "horizontal" | "vertical";
export declare function getDataInvalid(condition: boolean): "" | undefined;
export declare function getDataRequired(condition: boolean): "" | undefined;
export declare function getDataReadonly(condition: boolean): "" | undefined;
export declare function getDataSelected(condition: boolean): "" | undefined;
export declare function getDataUnavailable(condition: boolean): "" | undefined;
export declare function getHidden(condition: boolean): true | undefined;
export declare function getDisabled(condition: boolean): true | undefined;
export declare function getAriaPressed(condition: boolean): "true" | "false";
export declare function getRequired(condition: boolean): true | undefined;
export type BitsAttrsConfig<T extends readonly string[]> = {
    component: string;
    parts: T;
    getVariant?: () => string | null;
};
export type CreateBitsAttrsReturn<T extends readonly string[]> = {
    [K in T[number]]: string;
} & {
    selector: (part: T[number]) => string;
    getAttr: (part: T[number], variant?: string) => string;
};
export declare class BitsAttrs<T extends readonly string[]> {
    #private;
    attrs: Record<T[number], string>;
    constructor(config: BitsAttrsConfig<T>);
    getAttr(part: T[number], variantOverride?: string): string;
    selector(part: T[number], variantOverride?: string): string;
}
export declare function createBitsAttrs<const T extends readonly string[]>(config: Omit<BitsAttrsConfig<T>, "parts"> & {
    parts: T;
}): CreateBitsAttrsReturn<T>;
